Skip to main content
GET
/
api
/
reports
/
email
/
overall
/
histogram
Get overall email histogram by event type
curl --request GET \
  --url https://api-{region}-{cluster}.benchmarkemail.com/api/reports/email/overall/histogram \
  --header 'X-API-Key: <api-key>'
{
  "end": "2024-09-24T17:00:00.000Z",
  "histogram": [
    {
      "date": "2024-09-23T17:00:00.000Z",
      "detail": {
        "hard": 3,
        "soft": 1
      },
      "total": 4
    }
  ],
  "peak": {
    "endDate": "2024-09-23T17:00:00.000Z",
    "startDate": "2024-09-23T17:00:00.000Z",
    "total": 4
  },
  "start": "2024-09-23T17:00:00.000Z"
}

Authorizations

X-API-Key
string
header
required

API key authentication

Query Parameters

pastDays
integer
required

The number of past days (between 1 and 90) to retrieve the event type histogram.

Required range: 1 <= x <= 90
eventType
enum<string>
required

The requested campaign event type to generate the histogram.

Available options:
email-sent,
email-delivered,
email-bounced,
first-contact-unsubscribed,
first-email-complaint,
first-email-opened,
first-email-clicked
timezone
string
default:UTC

The user timezone (IANA) code.

Example:

"America/La_Paz"

Response

200 - application/json

Successfully report retrieved

Campaign histogram details

end
string<date-time>
Example:

"2024-09-24T17:00:00.000Z"

histogram
object[]
peak
object
start
string<date-time>
Example:

"2024-09-23T17:00:00.000Z"